Subject: Re: [PATCH v2] bisect: improve output when bad commit is found

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 May 2015 22:48:36 -0700

Jeff King <[email-masked]> writes:

> Of course, that is not a guarantee that nobody scraped stderr, but at
> least it makes me feel better that they're Doing It Wrong. :)
>
> It would be nice if we had some actual data points. I followed the link
> Christian gave to Ingo's old post, but I didn't see the actual script
> there. There is:
>
>   https://github.com/grosser/git-autobisect/blob/master/lib/git/autobisect.rb
>
> which does seem to scrape stderr. Bleh.

Heh, anything ending with .rb is a bleh to me ;-)

>> So perhaps if we keep
>> 
>> 	<40 char sha1> is the first bad commit
>> 
>> and then replace the diff-tree output with "show -s", then the
>> result would be good enough, I would say.
>
> That seems like a reasonable first step, at the very least. I wonder if
> we should also better document the exit code and BISECT_LOG semantics,
> and explicitly tell people not to scrape stderr.

Yeah, that would also be a good first step, whichever comes first.